com.smartgwt.client.tools

## Class MenuEditProxy

- java.lang.Object
- - com.smartgwt.client.core.BaseClass
  - - com.smartgwt.client.tools.EditProxy
    - - com.smartgwt.client.tools.CanvasEditProxy
      - - com.smartgwt.client.tools.StatefulCanvasEditProxy
        - - com.smartgwt.client.tools.MenuEditProxy

-     public class MenuEditProxy
      extends StatefulCanvasEditProxy

  `EditProxy` that handles `MenuButton` and `MenuBar` objects when editMode is enabled.
  See Also:
    `DevTools overview and related methods`

- - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.core.BaseClass

      `config, factoryCreated, factoryProperties, id, scClassName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MenuEditProxy()`
    `MenuEditProxy(com.google.gwt.core.client.JavaScriptObject jsObj)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.google.gwt.core.client.JavaScriptObject` | `create()`
    `void` | `getInlineEditText()` Returns the text based on the current component state to be edited inline.
    `static MenuEditProxy` | `getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `void` | `setInlineEditText(java.lang.String newValue)` Save the new value into the component's state.

    - ### Methods inherited from class com.smartgwt.client.tools.EditProxy

      `getAllowNestedDrops, getAutoMaskChildren, getBringToFrontOnSelect, getCanSelect, getCanSelectChildren, getChildrenSnapResizeToGrid, getChildrenSnapToGrid, getEditMask, getHoopSelector, getInlineEditEvent, getInlineEditForm, getInlineEditInstructionLabel, getInlineEditInstructions, getInlineEditMultiline, getInlineEditOnDrop, getJsObj, getOrCreateJsObj, getPersistCoordinates, getSelectedAppearance, getSelectedBorder, getSelectedLabelBackgroundColor, getSelectedTintColor, getSelectedTintOpacity, getSupportsInlineEdit, isCreated, setAllowNestedDrops, setAutoMaskChildren, setBringToFrontOnSelect, setCanSelect, setCanSelectChildren, setChildrenSnapResizeToGrid, setChildrenSnapToGrid, setInlineEditEvent, setInlineEditInstructions, setInlineEditMultiline, setInlineEditOnDrop, setJavaScriptObject, setPersistCoordinates, setSelectedAppearance, setSelectedBorder, setSelectedLabelBackgroundColor, setSelectedTintColor, setSelectedTintOpacity, setSupportsInlineEdit, showSelectedAppearance, startInlineEditing, startInlineEditing`

    - ### Methods inherited from class com.smartgwt.client.core.BaseClass

      `applyFactoryProperties, asSGWTComponent, createJsObj, destroy, doAddHandler, doInit, error, error, errorIfNotCreated, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsJavaScriptObject, getAttributeAsMap, getAttributeAsString, getAttributeAsStringArray, getClassName, getConfig, getHandlerCount, getID, getRef, getScClassName, getTestInstance, hasAutoAssignedID, internalSetID, internalSetID, isFactoryCreated, onBind, onInit, registerID, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setConfig, setFactoryCreated, setID, setProperty, setProperty, setProperty, setProperty, setScClassName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MenuEditProxy

          public MenuEditProxy()

    - #### MenuEditProxy

          public MenuEditProxy(com.google.gwt.core.client.JavaScriptObject jsObj)

  - ### Method Detail

    - #### getOrCreateRef

          public static MenuEditProxy getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### create

          public com.google.gwt.core.client.JavaScriptObject create()

      Overrides:
        `create` in class `StatefulCanvasEditProxy`

    - #### getInlineEditText

          public void getInlineEditText()

      Returns the text based on the current component state to be edited inline. Called by the `inlineEditForm` to obtain the starting edit value.

      Returns the component's menu definition in wiki-style.

      Overrides:
        `getInlineEditText` in class `StatefulCanvasEditProxy`

    - #### setInlineEditText

          public void setInlineEditText(java.lang.String newValue)

      Save the new value into the component's state. Called by the `inlineEditForm` to commit the change.

      Updates the component's menu.

      Lines starting with "--", "==" or "title:" are considered titles for the MenuButtons. The menuItem definitions follow the title to define the menu contents.

      Each menuItem title is entered on its own line. A keyTitle can follow the title separated by a comma. A leading "x" or "o" marks the menuItem as checked. MenuItems can be marked as disabled with a leading or trailing dash (-). A sub-menu is indicated with a trailing >. Any line consisting entirely of one or�more dashes (-) or equals (=) indicates a separator line.

      Overrides:
        `setInlineEditText` in class `StatefulCanvasEditProxy`
      Parameters:
        `newValue` - the new component menu